# Copyright 2021-2023 H2020 TeraFlow (https://www.teraflow-h2020.eu/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: apps/v1
kind: Deployment
metadata:
  name: pathcompservice
spec:
  selector:
    matchLabels:
      app: pathcompservice
  replicas: 5
  template:
    metadata:
      labels:
        app: pathcompservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: frontend
        image: registry.gitlab.com/teraflow-h2020/controller/pathcomp-frontend:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 10020
        env:
        - name: LOG_LEVEL
          value: "INFO"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10020"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10020"]
        resources:
          requests:
            cpu: 50m
            memory: 64Mi
          limits:
            cpu: 500m
            memory: 512Mi
      - name: backend
        image: registry.gitlab.com/teraflow-h2020/controller/pathcomp-backend:latest
        imagePullPolicy: Always
        #readinessProbe:
        #  httpGet:
        #    path: /health
        #    port: 8081
        #  initialDelaySeconds: 5
        #  timeoutSeconds: 5
        #livenessProbe:
        #  httpGet:
        #    path: /health
        #    port: 8081
        #  initialDelaySeconds: 5
        #  timeoutSeconds: 5
        resources:
          requests:
            cpu: 100m
            memory: 256Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: pathcompservice
spec:
  type: ClusterIP
  selector:
    app: pathcompservice
  ports:
  - name: grpc
    protocol: TCP
    port: 10020
    targetPort: 10020
  - name: http
    protocol: TCP
    port: 8081
    targetPort: 8081
